/*------------------------------------*\
    
    Contained Image + Text Block Customizations - Global Styling

    The styles you add to this file will be applied to the 'Contained Image + Text' block. 
    If there is any reasons why you would need to style them separately,
    please create a block-specific stylesheet for it (don't forget to register that block-specific stylesheet in acf-start-blocks.php)

\*------------------------------------*/
.image-text {
    position: relative;
    overflow: hidden;
}

.flex-row {
    display: flex;
    flex-wrap: wrap;
}

.image-text .flex-row {
    align-items: center
}

.image-text--homepage {
    position: relative;
    z-index: 1;
}

.image-text__bg {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    bottom: 0;
    left: 0;
}

.image-text__top-curve {
    position: absolute;
    width: 100%;
    height: auto;
    object-fit: cover;
    top: -1px;
    left: 0;
}

.image-text--homepage::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    bottom: 0;
    left: 0;
    background: linear-gradient(180deg, rgba(10, 10, 10, 0.75) 0%, #0A0A0A 100%);
}

.image-text__text,
.image-text__img {
    position: relative;
    z-index: 1;
}

.image-text--homepage {
    padding: 91px 0 75px;
    color: #C2C2C2;
    text-align: center;
    overflow: hidden;
}

.image-text--homepage :where(h2, .h2) {
    color: #fff;
}

.image-text__text {
    margin-bottom: 25px;
}

.image-text--homepage .btn-group {
    justify-content: center;
}

.image-text--homepage .btn-tertiary,
.image-text--homepage .btn-tertiary::after {
    background: #fff;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}



.image-text__img img {
    border-radius: 25px;
}

.sparke {
    position: absolute;
    mix-blend-mode: screen;
    width: 190px;
    left: -136px;
    bottom: -57px;
    height: auto;
    z-index: -1;
}

.image-text__img {
    position: relative;
    z-index: 1;
}

.sparke-1 {
    position: absolute;
    width: 206px;
    right: -145px;
    bottom: -63px;
    height: auto;
    z-index: -1;
}

.video-bttn {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(10, 10, 10, 0.55);
    border-radius: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.video-bttn svg {
    width: 64px;
    height: auto;
    transition: all .3s;
}

.shaped-right {
    position: absolute;
    right: -1px;
    bottom: -1px;
    width: 154px;
    z-index: 1;
}

.shaped-left {
    position: absolute;
    left: -1px;
    bottom: -1px;
    width: 154px;
    z-index: 1;
}

@media (min-width: 768px) {

    .image-text--homepage {
        padding: 147px 0 115px;
    }

    .image-text__text {
        margin-bottom: 35px;
    }

    .sparke {
        width: 362px;
        left: -255px;
        bottom: -110px;
    }

    .sparke-1 {
        width: 237px;
        right: -167px;
        bottom: -74px;
    }

    .video-bttn svg {
        width: 94px;
    }

    .shaped-right,
    .shaped-left  {
        width: 286px;
    }
}

@media (min-width: 1200px) {

    .flex-opposite {
        flex-direction: row-reverse;
    }

    .image-text--homepage {
        padding: 230px 0 150px;
        text-align: left;
    }

    .image-text--homepage .btn-group {
        justify-content: flex-start;
    }

    .image-text__text {
        margin-bottom: 0;
    }

    .fx-front-page .image-text__text {
        text-align: left !important;
    }

    .fx-front-page .image-text__text .btn-group {
        justify-content: flex-start;
    }

    .image-text__img {
        height: 100%;
        max-width: 573px;
        position: relative;
    }

    .sparke {
        width: 363px;
        /* left: 0px;
        bottom: 30px; */
        left: -290px;
        bottom: -100px;
    }

    .image-text__text .btn-tertiary:hover,
    .image-text__text .btn-tertiary:hover::after {
        background: linear-gradient(89deg, #A70E0E 0.25%, #C92A1A 78.18%, #EA4626 99.73%);
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    .image-text--half .image-text__img img:not(.sparke) {
        position: absolute;
        top: 0;
        left: 0;
    }

    .sparke-1 {
        width: 395px;
        right: auto;
        top: auto !important;
        bottom: -120px !important;
        left: -301px !important;
    }

    .video-bttn:hover {
        background: rgba(10, 10, 10, 0.55);
    }

    .video-bttn:hover svg {
        transform: scale(1.1);
    }

    .image-text--right  .image-text__img {
        margin-left: auto;
    }

   .image-text--right  .sparke-1 {
        right: -301px !important;
        left: auto !important;
        bottom: -72px !important;
    }

    .shaped-right,
    .shaped-left  {
        width: 248px;
    }
}

.image-text__img--shaped {
    position: relative;
    z-index: 1;
    margin-top: 38px;
}

.angle {
    position: absolute;
    top: -38px;
    left: 50%;
    transform: translate(-50%, 0);
    width: 288px;
    height: auto;
    z-index: -1;
}

@media (min-width: 768px) {
    .image-text__img--shaped {
        margin-top: 76px;
        height: 440px;
    }

    .angle {
        top: -76px;
        left: 29px;
        transform: translate(0, 0);
        width: 579px;
    }

    .image-text--left .angle  {
        right: 29px;
        left: auto;
    }
}

@media (min-width: 1200px) {
    .image-text__img--shaped {
        margin-top: 66px;
    }

    .angle {
        top: -66px;
        left: 25px;
        width: 469px;
    }

    .image-text--left .angle  {
        right: 25px;
    }
}


@media (min-width: 1366px) {

    .angle {
        width: 499px;
    }
}